<?php

// Version: 1.1; index

/*	This template is, perhaps, the most important template in the theme.  It
	contains the main template layer that displays the header and footer of
	the forum, namely with main_above and main_below.  It also contains the
	menu sub template, which appropriately displays the menu; the init sub
	template, which is there to set the theme up; (init can be missing.) and
	the linktree sub template, which sorts out the link tree.

	The init sub template should load any data and set any hardcoded options.
	The main_above sub template is what is shown above the main content, and
	should contain anything that should be shown up there.

	The main_below sub template, conversely, is shown after the main content.
	It should probably contain the copyright statement and some other things.

	The linktree sub template should display the link tree, using the data
	in the $context['linktree'] variable.

	The menu sub template should display all the relevant buttons the user
	wants and or needs.

	For more information on the templating system, please see the site at:
	http://www.simplemachines.org/
	*/
	
/************************************************************************/
/* SMF/TP: Zeda theme for SMF/TP 1.1.x-1.x.x								*/
/* ============================================								 */
/* http://tinyportalmedia.com														 */
/* Converted to Simple Machines 1.1.x and Tiny Portal 1.x.x				 */
/* ============================================								 */
/************************************************************************/
// Theme XD-Zeda - Free Release theme
// Original Author of file: Mrs.X - http://xtrato.com
// Conversion by StormLrd and HumanPorkrind
// Purpose of file: Free Release SMF/TP 1.1.x/1.x.x XD-Zeda Theme
// Developed at http://www.xtrato.com
// ----------------------------------------------------------------------/

// Initialize the template... mainly little settings.
function template_init()
{
	global $context, $settings, $options, $txt;

	/* Use images from default theme when using templates from the default theme?
		if this is 'always', images from the default theme will be used.
		if this is 'defaults', images from the default theme will only be used with default templates.
		if this is 'never' or isn't set at all, images from the default theme will not be used. */
	$settings['use_default_images'] = 'never';

	/* What document type definition is being used? (for font size and other issues.)
		'xhtml' for an XHTML 1.0 document type definition.
		'html' for an HTML 4.01 document type definition. */
	$settings['doctype'] = 'xhtml';

	/* The version this template/theme is for.
		This should probably be the version of SMF it was created for. */
	$settings['theme_version'] = '1.1.4';

	/* Set a setting that tells the theme that it can render the tabs. */
	$settings['use_tabs'] = false;

	/* Use plain buttons - as oppossed to text buttons? */
	$settings['use_buttons'] = false;

	/* Show sticky and lock status seperate from topic icons? */
	$settings['seperate_sticky_lock'] = true;

	// load custom language strings
	loadLanguage('ThemeStrings');
	// make sure undefined actions use their own template
	$settings['catch_action'] = array('layers' => array('main','pages'));
	// split up the links if any
	$context['sitemenu']=array();
		
	if(empty($settings['custom_pages']))
		$settings['custom_pages']='homepage,News,page|about,Custom,page|http://www.tinyportalmedia.com,TPM,link';
	
	$pag=explode('|',$settings['custom_pages']);

	foreach($pag as $menu => $value)
	{
		$what=explode(',',$value);
		$context['sitemenu'][]=array($what[0],$what[1],$what[2]);
	}
	
	$settings['tp_images_url'] = $settings['images_url'] . '/tinyportal/';
}

// any special pages?
function template_pages_above()
{
	global $context, $settings, $options, $scripturl, $txt;
	
	echo $context['XD']['table_open'].'<div id="pages">';
	if(isset($_GET['action']))
		$what=$_GET['action'];
	loadtemplate('pages/'.$what);
}

function template_pages_below()
{
	 global $context;
	echo '</div>'.$context['XD']['table_close'];
}

// The main sub template above the content.
function template_main_above()
{

	global $context, $settings, $options, $scripturl, $txt, $modSettings;
	 
	global $boarddir;
require_once($boarddir . '/SSI.php');
	include($settings['theme_dir'].'/definez.php');
	 //include($settings['theme_dir'].'/SmartBlocks.php');
	
	
	 if($context['page_title']=='' && isset($_GET['action']))
		$context['page_title']=$context['forum_name'].' - '.$_GET['action'];
	elseif($context['page_title']=='' && !isset($_GET['action']))
		$context['page_title']=$context['forum_name'];
		
	// Show right to left and the character set for ease of translating.
echo '
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml"', $context['right_to_left'] ? ' dir="rtl"' : '', '><head>
	<meta http-equiv="Content-Type" content="text/html; charset=', $context['character_set'], '" />
	<meta name="description" content="', $context['page_title'], '" />', empty($context['robot_no_index']) ? '' : '
	<meta name="robots" content="noindex" />', '
	<meta name="keywords" content="PHP, MySQL, bulletin, board, free, open, source, smf, simple, machines, forum" />
	<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/script.js?fin11"></script>
	<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
		var smf_theme_url = "', $settings['theme_url'], '";
		var smf_images_url = "', $settings['images_url'], '";
		var smf_scripturl = "', $scripturl, '";
		var smf_iso_case_folding = ', $context['server']['iso_case_folding'] ? 'true' : 'false', ';
		var smf_charset = "', $context['character_set'], '";
	// ]]></script>
	<title>', $context['page_title'], '</title>';

	// The ?fin11 part of this link is just here to make sure browsers don't cache it wrongly.
	echo '
	<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/style.css?fin11" />
	<link rel="stylesheet" type="text/css" href="', $settings['default_theme_url'], '/print.css?fin11" media="print" />';

	/* Internet Explorer 4/5 and Opera 6 just don't do font sizes properly. (they are big...)
		Thus, in Internet Explorer 4, 5, and Opera 6 this will show fonts one size smaller than usual.
		Note that this is affected by whether IE 6 is in standards compliance mode.. if not, it will also be big.
		Standards compliance mode happens when you use xhtml... */
	if ($context['browser']['needs_size_fix'])
		echo '
	<link rel="stylesheet" type="text/css" href="', $settings['default_theme_url'], '/fonts-compat.css" />';

	// Show all the relative links, such as help, search, contents, and the like.
	echo '
	<link rel="help" href="', $scripturl, '?action=help" target="_blank" />
	<link rel="search" href="' . $scripturl . '?action=search" />
	<link rel="contents" href="', $scripturl, '" />';

// If we're in a board, or a topic for that matter, the index will be the board's index.
if (!empty($context['current_board']))
echo '
	<link rel="index" href="' . $scripturl . '?board=' . $context['current_board'] . '.0" />';

/// this decides whether we are on the portal page or inside the forum itself
$current_action = 'home';
if (in_array($context['current_action'], array('admin', 'ban', 'boardrecount', 'cleanperms', 'detailedversion', 'dumpdb', 'featuresettings', 'featuresettings2', 'findmember', 'maintain', 'manageattachments', 'manageboards', 'managecalendar', 'managesearch', 'membergroups', 'modlog', 'news', 'optimizetables', 'packageget', 'packages', 'permissions', 'pgdownload', 'postsettings', 'regcenter', 'repairboards', 'reports', 'serversettings', 'serversettings2', 'smileys', 'viewErrorLog', 'viewmembers')))
	$current_action = 'admin';
if ($context['current_action'] == 'globalAnnouncementsAdmin')
	$current_action = 'admin';	
if ($context['current_action'] == 'theme')
	$current_action = isset($_REQUEST['sa']) && $_REQUEST['sa'] == 'pick' ? 'profile' : 'admin';

// Begin SMFShop code
if (in_array($context['current_action'], array('shop_general', 'shop_items_add', 'shop_items_edit', 'shop_cat', 'shop_inventory', 'shop_restock', 'shop_usergroup')))
	$current_action = 'admin';
// End SMFShop code

$settings['header_block']='';

$settings['smartword']= false;

if(isset($_GET['action'])){
	if($_GET['action']=='forum'){
		$settings['header_block']=' <img src="' . $settings['images_url'] . '/hd/XD-Zeda_FRMS_01.gif" width="266" height="117" alt="">';
		$settings['smartword']= true;
	}
	elseif($_GET['action']=='admin' || $_GET['action']=='tpadmin' || $current_action == 'admin'){
		$settings['header_block']=' <img src="' . $settings['images_url'] . '/hd/XD-Zeda_FRMS_01.gif" width="266" height="117" alt="">';
		$settings['smartword']= true;
	}
	elseif($_GET['action']=='help' ){
		$settings['header_block']=' <img src="' . $settings['images_url'] . '/hd/XD-Zeda_FRMS_01.gif" width="266" height="117" alt="">';
		$settings['smartword']= true;
	}
	elseif($_GET['action']=='calendar' ){
		$settings['header_block']=' <img src="' . $settings['images_url'] . '/hd/XD-Zeda_FRMS_01.gif" width="266" height="117" alt="">';
		$settings['smartword']= true;
	}
	elseif($_GET['action']=='search' ){
		$settings['header_block']=' <img src="' . $settings['images_url'] . '/hd/XD-Zeda_FRMS_01.gif" width="266" height="117" alt="">';
		$settings['smartword']= true;
	}
	elseif($_GET['action']=='mlist' ){
		$settings['header_block']=' <img src="' . $settings['images_url'] . '/hd/XD-Zeda_FRMS_01.gif" width="266" height="117" alt="">';
		$settings['smartword']= true;
	}
	elseif($_GET['action']=='who' ){
		$settings['header_block']=' <img src="' . $settings['images_url'] . '/hd/XD-Zeda_FRMS_01.gif" width="266" height="117" alt="">';
		$settings['smartword']= true;
	}
	elseif($_GET['action']=='profile' || $_GET['action']=='pm'){
		$settings['header_block']=$_GET['action'];
		if($settings['header_block']=='profile'){
			$settings['smartword']= true;
			$settings['header_block']=' <img src="' . $settings['images_url'] . '/hd/XD-Zeda_FRMS_01.gif" width="266" height="117" alt="">';}
		if($settings['header_block']=='pm'){
			$settings['smartword']= true;
			$settings['header_block']=' <img src="' . $settings['images_url'] . '/hd/XD-Zeda_FRMS_01.gif" width="266" height="117" alt="">';}
	}
	elseif($_GET['action']=='recent' || $_GET['action']=='unread' || $_GET['action']=='unreadreplies'){
		$settings['header_block']=' <img src="' . $settings['images_url'] . '/hd/XD-Zeda_FRMS_01.gif" width="266" height="117" alt="">';
		$settings['smartword']= true;
	}
	elseif($_GET['action']=='login' || $_GET['action']=='register' ){
		$settings['header_block']=$_GET['action'];
		if($settings['header_block']=='login'){
			$settings['smartword']= true;
			$settings['header_block']=' <img src="' . $settings['images_url'] . '/hd/XD-Zeda_FRMS_01.gif" width="266" height="117" alt="">';}
		if($settings['header_block']=='register'){
			$settings['smartword']= true;
			$settings['header_block']=' <img src="' . $settings['images_url'] . '/hd/XD-Zeda_FRMS_01.gif" width="266" height="117" alt="">';}
	}
	elseif($_GET['action']=='tpmod' && isset($_GET['sa']) && $_GET['sa']=='shoutbox'){
		$settings['header_block']=' <img src="' . $settings['images_url'] . '/hd/XD-Zeda_FRMS_01.gif" width="266" height="117" alt="">';
		$settings['smartword']= true;
	}
	elseif($_GET['action']=='tpmod' && isset($_GET['blog']) || $_GET['blog']=='view' || $_GET['blog']=='manager'){
		$settings['header_block']=' <img src="' . $settings['images_url'] . '/hd/blogs.png" width="266" height="117" alt="">';
		$settings['smartword']= true;
	}
	elseif($_GET['action']=='tpmod' && isset($_GET['dl'])){
		$settings['header_block']='';
		$settings['smartword']= true;
	}
	else{
		$settings['header_block']='';
		$settings['smartword']= false;
	}
}
if(isset($_GET['board']) || isset($_GET['topic'])){
	$settings['header_block']=' <img src="' . $settings['images_url'] . '/hd/XD-Zeda_FRMS_01.gif" width="266" height="117" alt="">';
	$settings['smartword']= true;
}
if(!isset($_GET['action']) && (isset($_GET['page']) || isset($_GET['cat']))){
	$settings['header_block']='';
	$settings['smartword']= true;
}
$settings['layout_action'] = $settings['header_block'];
if (in_array($context['current_action'], array('felblog','store','links','staff','gallery','arcade','shop','contact','bookmarks','paypal'))){
	$current_action = $context['current_action'];
	$settings['layout_action'] = $context['current_action'];
	$settings['smartword'] = true;
}
if($current_action == 'felblog')
$settings['header_block']=' <img src="' . $settings['images_url'] . '/hd/blogs.png" width="266" height="117" alt="">';
if($current_action == 'store')
$settings['header_block']=' <img src="' . $settings['images_url'] . '/hd/store.png" width="266" height="117" alt="">';
if($current_action == 'links')
$settings['header_block']=' <img src="' . $settings['images_url'] . '/hd/links.png" width="266" height="117" alt="">';
if($current_action == 'shop')
$settings['header_block']=' <img src="' . $settings['images_url'] . '/hd/shop.png" width="266" height="117" alt="">';
if($current_action == 'gallery')
$settings['header_block']=' <img src="' . $settings['images_url'] . '/hd/gallery.png" width="266" height="117" alt="">';
if($current_action == 'arcade')
$settings['header_block']=' <img src="' . $settings['images_url'] . '/hd/Arcade.png" width="266" height="117" alt="">';
if($current_action == 'staff')
$settings['header_block']=' <img src="' . $settings['images_url'] . '/hd/team.png" width="266" height="117" alt="">';
if($current_action == 'classifieds')
$settings['header_block']=' <img src="' . $settings['images_url'] . '/hd/classified.png" width="266" height="117" alt="">';
// If RSS feeds are enabled, advertise the presence of one.
if (!empty($modSettings['xmlnews_enable']))
	echo '
<link rel="alternate" type="application/rss+xml" title="', $context['forum_name'], ' - RSS" href="', $scripturl, '?type=rss;action=.xml" />';

// If we're viewing a topic, these should be the previous and next topics, respectively.
if (!empty($context['current_topic']))
	echo '
<link rel="prev" href="', $scripturl, '?topic=', $context['current_topic'], '.0;prev_next=prev" />
<link rel="next" href="', $scripturl, '?topic=', $context['current_topic'], '.0;prev_next=next" />';

// Search within current topic?
if (!empty($context['current_topic']))
	echo '
<input type="hidden" name="topic" value="', $context['current_topic'], '" />';

// If we're on a certain board, limit it to this board ;).
elseif (!empty($context['current_board']))
	echo '
<link rel="index" href="' . $scripturl . '?board=' . $context['current_board'] . '.0" />';

	// We'll have to use the cookie to remember the header...
	if ($context['user']['is_guest'])
		$options['collapse_header'] = !empty($_COOKIE['upshrink']);

	// Output any remaining HTML headers. (from mods, maybe?)
	echo $context['html_headers'], '
		  

	<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
		var current_header = ', empty($options['collapse_header']) ? 'false' : 'true', ';

		function shrinkHeader(mode)
		{';


	// Guests don't have theme options!!
	if ($context['user']['is_guest'])
		echo '
			document.cookie = "upshrink=" + (mode ? 1 : 0);';
	else
		echo '
			smf_setThemeOption("collapse_header", mode ? 1 : 0, null, "', $context['session_id'], '");';

	echo '
			document.getElementById("upshrink").src = smf_images_url + (mode ? "/upshrink2.gif" : "/upshrink.gif");

			document.getElementById("upshrinkHeader").style.display = mode ? "none" : "";
			document.getElementById("upshrinkHeader2").style.display = mode ? "none" : "";

			current_header = mode;
		}
	// ]]></script>';

	// the routine for the info center upshrink
	echo '
		<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
			var current_header_ic = ', empty($options['collapse_header_ic']) ? 'false' : 'true', ';

			function shrinkHeaderIC(mode)
			{';

	if ($context['user']['is_guest'])
		echo '
				document.cookie = "upshrinkIC=" + (mode ? 1 : 0);';
	else
		echo '
				smf_setThemeOption("collapse_header_ic", mode ? 1 : 0, null, "', $context['session_id'], '");';

	echo '
				document.getElementById("upshrink_ic").src = smf_images_url + (mode ? "/expand.gif" : "/collapse.gif");

				document.getElementById("upshrinkHeaderIC").style.display = mode ? "none" : "";

				current_header_ic = mode;
			}
		// ]]></script>

</head>
<body>';
	// check for some mods if they are indeed loaded :P
	checkmods();	  


	  if($context['user']['is_guest'])
		  $username = "GUEST";
	  else
		 $username = $context['user']['name'];



 if($context['user']['is_logged'])
	 $theuser ='<table  border="0" cellpadding="0" cellspacing="0" height="147"><tr><td ><object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,29,0" width="96" height="152"><param name="movie" value="'. $settings['images_url']. '/Flash/login2.swf?pm='.$context['user']['messages'].'&userip=' . $context['session_id']. '&username='.$context['user']['name'].'&sessionid=' . $context['session_id']. '"><PARAM NAME=menu VALUE=false> <PARAM NAME=quality VALUE=best> <PARAM NAME=wmode VALUE=transparent><param name="quality" value="high"><embed src="'. $settings['images_url']. '/Flash/login2.swf?pm='.$context['user']['messages'].'&userip=' . $context['session_id']. '&username='.$context['user']['name'].'&sessionid=' . $context['session_id']. '"  menu=false quality=best wmode=transparent quality="high" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" width="96" height="152"></embed></object></td></tr></table>';
  else
	$theuser ='<table  border="0" cellpadding="0" cellspacing="0" style="background-image: url('. $settings['images_url'].'/menu/loginbg.png); background-position: top left; background-repeat: no-repeat;"><tr><td width="96px" height="147px" align="center" valign="top" style="padding-top: 25px;padding-right: 5px; padding-left: 5px;">
<script language="JavaScript" type="text/javascript" src="'. $settings['default_theme_url']. '/sha1.js"></script>
			  <table width="100%" align="center" cellpadding="0px" cellspacing="0px" border="0px">
							<form action="'. $scripturl. '?action=login2" method="post" accept-charset="'. $context['character_set']. '" class="middletext" style="margin: 3px 0 3px 0;"><input type="hidden" name="cookielength" value="-1" >
									<tr><td align="center" width="100%" colspan="2" style="padding-top: 0px;">
									<img src="'. $settings['images_url']. '/menu/username.png" alt="" border="0px" /><br />

									<input type="text" name="user" size="10" style="background-color:#000000; color:#FFFFFF; font-weight:bold; font-family:Tahoma, Georgia, Verdana, "Trebuchet MS", "Times New Roman";border-bottom: solid 1px #ffffff; border-right: solid 1px #b1b0ae; border-top: solid 1px #5b4547; border-left: solid 1px #6b1b1a;" /><br /><br /></td>
									</tr>
									<tr><td align="center" width="100%" colspan="2">
									<img src="'. $settings['images_url']. '/menu/password.png" alt="" border="0px" /><br />

									<input type="password" name="passwrd" size="10" style="background-color:#000000; color:#FFFFFF; font-weight:bold; font-family:Tahoma, Georgia, Verdana, "Trebuchet MS", "Times New Roman";border-bottom: solid 1px #ffffff; border-right: solid 1px #b1b0ae; border-top: solid 1px #5b4547; border-left: solid 1px #6b1b1a;" /><br /></td></tr>
									<tr><td align="center" colspan="2" width="100%" nowrap="nowrap" style="padding-top: 3px;">
									<input type="image" src="'. $settings['images_url']. '/menu/login.png" alt="'. $txt[34]. '" title="'. $txt[34]. '" style="cursor: hand; border: 0px solid #171717;" width="13px" height="13px" border="0px" />
									
										 <a href="'. $scripturl. '?action=register"><img src="'. $settings['images_url']. '/menu/register.png" alt="Register" title="Register" border="0px" /></a><a href="'. $scripturl. '?action=search"><img src="'. $settings['images_url']. '/menu/search.png" alt="Search" title="Search" border="0px" /></a>
									  </td>
							</tr></form></table>
 </td></tr></table>';


// Dont Remove this otherwise I will not Continue to make Public Themes!!! //
	 echo '<!----- Theme Design Copyright &copy; 2003-2004 Xtrato Designs  (http://www.xtrato.com- admin@xtrato.com) -----><!----- XD-Zeda - Unique Themes. Currently using XD-Zeda, a Unique theme license, for more information regarding Xtrato Designs visit www.xtrato.com . ----->';


	echo '
<table width="100%" border="0" cellpadding="0" cellspacing="0" style="background-image: url('. $settings['images_url']. '/hd/zedaheader_03.gif); background-position: center; background-repeat: repeat-x;" id="Table_01">
	  <tr>
		 <td>
			<table id="Table_01" border="0" cellpadding="0" cellspacing="0">
				<tr>
				  <td width="369" >
				  <object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,29,0" width="366" height="124">
				  <param name="movie" value="'. $settings['images_url']. '/Flash/XDzedalogo.swf">
				  <param name="quality" value="high">
				  <param name="menu" value="false">
				  <embed src="'. $settings['images_url']. '/Flash/XDzedalogo.swf" quality="high"  menu=false pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" width="366" height="124">
				  </embed>
				  </object>
				  </td>
				</tr>
				<tr>
					<td><img src="'. $settings['images_url']. '/hd/zedaheader_09.gif" width="366" height="26" alt=""></td>
				 </tr>
				<tr>
					<td><img src="'. $settings['images_url']. '/hd/zedaheader_10.gif" width="46" height="56" alt=""></td>
				</tr>
			 </table></td>
		 <td width="100%"></td>
		 <td><img src="'. $settings['images_url']. '/hd/zedaheader_05.jpg" width="232" height="206" alt=""></td>
		 <td>
			 <table id="Table_01" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td>
							<table id="Table_01" border="0" cellpadding="0" cellspacing="0">
						 <tr>';
						
			///begin custom header
if(isset($settings['header_display']) && $settings['header_display']=='html' && isset($settings['header_display_html']) && $settings['header_display_html']!=''){

			 // show a message in html
			 echo '			 <td valign="top" align="left" style="background-image: url('. $settings['images_url']. '/hd/zedaheader_blank.gif); background-repeat: no-repeat; background-position: right;" >
								 <img src="'. $settings['images_url'].'/blank.gif" width="196px" height="30px" border="0px" alt="" /><br />
							<div style="height: 90px; overflow: auto;">'.$settings['header_display_html'].'</div>
							</td>';
				
			}
			else
				echo '<td><img src="'. $settings['images_url']. '/hd/zedaheader_06.gif" width="196" height="153" alt=""></td>';
			 ///end custom header
		  
	 echo '						<td width="96px">'.$theuser.'</td>
									<td width="98">';
		if(!empty($settings['use_tp'])){					
							
					 if($context['TPortal']['show_download']=='1')		
					echo'	<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,29,0" width="99" height="152">
							<param name="movie" value="'. $settings['images_url']. '/Flash/XDZedaBut.swf">
							<param name="quality" value="high">
							<param name="menu" value="false">
							<embed src="'. $settings['images_url']. '/Flash/XDZedaBut.swf" quality="high"  menu=false pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" width="99" height="152">
							</embed>
							</object>';
						else
							echo'	<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,29,0" width="99" height="152">
							<param name="movie" value="'. $settings['images_url']. '/Flash/XDZedaBut2.swf">
							<param name="quality" value="high">
							<param name="menu" value="false">
							<embed src="'. $settings['images_url']. '/Flash/XDZedaBut2.swf" quality="high"  menu=false pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" width="99" height="152">
							</embed>
							</object>';	
							
						}else{
							
						echo'	<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,29,0" width="99" height="152">
							<param name="movie" value="'. $settings['images_url']. '/Flash/XDZedaBut3.swf">
							<param name="quality" value="high">
							<param name="menu" value="false">
							<embed src="'. $settings['images_url']. '/Flash/XDZedaBut3.swf" quality="high"  menu=false pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" width="99" height="152">
							</embed>
							</object>';
							
							}	
							
							
			echo '				  </td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				 <td><div align="right"><img src="'. $settings['images_url']. '/hd/zedaheader_13.gif" width="51" height="53" alt=""></div></td>
			</tr>
		</table>
	 </td>
  </tr>
</table>';
top_menu();
//Close Header
	 
	 
//Display ads on the top of the page
	if (!empty($settings['use_ads']) && function_exists("show_topofpageAds"))
	{
echo'
<table id="Table_01" width="100%" height="20" border="0" cellpadding="0" cellspacing="0">
	  <tr>
		  <td background="'. $settings['images_url']. '/XD-Zeda_SIDE_01.gif">
		 <img src="'. $settings['images_url']. '/XD-Zeda_SIDE_01.gif" width="4" height="2" alt="" />
		 </td>
		 <td width="100%">';

		$ads = show_topofpageAds();	
		if(!empty($ads))
			if($ads['type']==0){
				echo $ads['content'];
			}else{
				eval($ads['content']);	
			}
		unset($ads);
		
echo '  </td>
			<td width="20" valign="top" background="'. $settings['images_url']. '/XD-Zeda_SIDE_03.gif">
		 <img src="'. $settings['images_url']. '/XD-Zeda_SIDE_03.gif" width="6" height="2" border="0">
		 </td>
	</tr>
</table>';	  
	}


//Body of page here 

echo '
<table id="Table_01" width="100%" height="20" border="0" cellpadding="0" cellspacing="0">
	 <tr> 
		 <td background="'. $settings['images_url']. '/XD-Zeda_SIDE_01.gif"><img src="'. $settings['images_url']. '/XD-Zeda_SIDE_01.gif" width="4" height="2" alt="" /></td>';


	//left tower ads
	if(!empty($settings['use_ads']) && function_exists("show_towerleftAds"))
	{
		$ads = show_towerleftAds();	
		if(!empty($ads))
		{
			echo '		
						<td valign="top">';
			if($ads['type']==0)
				echo $ads['content'];
			else
				eval($ads['content']);
			echo '		</td>';
		}
		unset($ads);
	}
	
	

 ///center here 
 echo '	<td width="100%" align="left" valign="top" style="vertical-align: text-top; text-align:left;">';
	 echo $context['XD']['table_open'];

				theme_linktree2();

	 echo $context['XD']['table_close'];
		 
	echo '		 <table width="100%" cellpadding="0" cellspacing="0" border="0">
					<tr>';

	if(!empty($settings['use_shoutbox'])){
		echo '			<td width="20%" valign="top"style="padding: 10px 3px 10px 0; ">';

		$sidebar=true;
		// shoutbox mod
		echo $context['XD']['story_block']. $context['XD']['story_title']. 'Shoutbox'.$context['XD']['story_title3'];

		if(function_exists("smfshout")){		
			smfshout();
		}else{
			echo 'Sorry Ultimate Shoutbox Mod does not appear to be installed.';
		}

		echo $context['XD']['story_block2'];
	
	echo '		  </td>';
	}
	else
		$sidebar=false;

	echo '		  <td width="', $sidebar ? '80%' : '100%' , '" align="left" valign="top" style="padding-top: 5px; padding-bottom: 10px;">';
		

	  

	 if($settings['header_block'] != ''){

			template_menu();

			}

/// page body will show here 
}

function template_main_below()
{

	global $context, $settings, $options, $scripturl, $txt;


		  
			 echo $context['XD']['table_open'];
			
// Show the "Powered by" and "Valid" logos, as well as the copyright.  Remember, the copyright must be somewhere!

	echo '<a name="bot"></a>
			 <table cellspacing="0" cellpadding="3" border="0" align="center" width="100%">
				  <tr>
				  <td width="28%" valign="middle" align="', !$context['right_to_left'] ? 'right' : 'left', '" class="copyright">
				 <a href="http://www.mysql.com/" target="_blank"><img id="powered-mysql" src="', $settings['images_url'], '/h_powered-mysql.gif" alt="', $txt['powered_by_mysql'], '"  style="margin: 5px 16px;" border="0"  /></a>
				 </td>
				 <td valign="middle" align="center" style="white-space: nowrap;" class="copyright">
					 ', theme_copyright(), '<br />';
													 
							 echo  $context['XD']['theme_copyrigt'],'</td>
				 <td width="28%" valign="middle" align="', !$context['right_to_left'] ? 'left' : 'right', '" class="copyright">
				 <a href="http://www.php.net/" target="_blank"><img id="powered-php" src="', $settings['images_url'], '/h_powered-php.gif" alt="', $txt['powered_by_php'], '"  style="margin: 5px 16px;" border="0"  /></a>
				 </td>
			 </tr>
		  </table><div align="center"><span class="copyright"><span class="gensmall">';

// Show the load time?
	if ($context['show_load_time'])
	echo $txt['smf301'], $context['load_time'], $txt['smf302'], $context['load_queries'], $txt['smf302b'];
//googlebot and spiders?
	if (!empty($settings['use_gb']) && isset($context['ob_googlebot_stats']))
		echo '<br />', $txt['ob_googlebot_stats_lastvisit'], timeformat($context['ob_googlebot_stats']['Googlebot']['lastvisit']);
 
echo '</span></span></div>'.$context['XD']['table_close'];

//close bodyarea


	echo '
					</td>
				</tr>
			</table>
		</td>';
	  

//right bar here

///right tower ads
if(!empty($settings['use_ads']) && function_exists("show_towerrightAds"))
	{
		$ads = show_towerrightAds();	
		if(!empty($ads))
		{
			echo '				<td valign="top">';
			if($ads['type']==0)
				echo $ads['content'];
			else
				eval($ads['content']);
			echo '				</td>';
		}
		unset($ads);
	}
	
//right sidebar and close all before footer
echo '	 <td width="20" valign="top" background="'. $settings['images_url']. '/XD-Zeda_SIDE_03.gif">
			<img src="'. $settings['images_url']. '/XD-Zeda_SIDE_03.gif" width="6" height="2" border="0" />
		 </td>
	 </tr>
</table>';		


//bottom ads
if(!empty($settings['use_ads']) && function_exists("show_bottomAds"))
	{
echo'
<table id="Table_01" width="100%" height="20" border="0" cellpadding="0" cellspacing="0">
	  <tr>
		  <td background="'. $settings['images_url']. '/XD-Zeda_SIDE_01.gif">
		 <img src="'. $settings['images_url']. '/XD-Zeda_SIDE_01.gif" width="4" height="2" alt="" />
		 </td>
		 <td width="100%">';

		$ads = show_bottomAds();	
		if(!empty($ads))
		{
			//echo '<div>';
			if($ads['type']==0)
				echo $ads['content'];
			else
				eval($ads['content']);
			//echo '</div>';
		}
		unset($ads);

 echo '  </td>
			<td width="20" valign="top" background="'. $settings['images_url']. '/XD-Zeda_SIDE_03.gif">
		 <img src="'. $settings['images_url']. '/XD-Zeda_SIDE_03.gif" width="6" height="2" border="0">
		 </td>
	</tr>
</table>';
	}
	
	//footerarea begins
echo '
<table width="100%" height="72" border="0" cellpadding="0" cellspacing="0" style="background-image: url('. $settings['images_url']. '/ft/XD-Zeda_F_03.gif);background-repeat: repeat-x; background-position: center;" id="Table_01">
	 <tr>
		 <td width="115" align="left"  valign="middle">
			 <table id="Table_01" width="115" height="72" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td rowspan="3" valign="middle">
				  <img src="'. $settings['images_url']. '/ft/XD-Zeda_F_top_01.gif" width="20" height="72" alt="" /></td>
				  <td valign="middle">
				  <img src="'. $settings['images_url']. '/ft/XD-Zeda_F_top_02.gif" width="26" height="31" alt="" /></td>
				  <td rowspan="3" valign="middle">
				  <img src="'. $settings['images_url']. '/ft/XD-Zeda_F_top_03.gif" width="69" height="72" alt="" /></td>
				</tr>
				<tr>
					<td valign="middle"><a href="#top">
				  <img src="'. $settings['images_url']. '/ft/XD-Zeda_F_top_04.gif" alt="" width="26" height="24" border="0" />
				  </a></td>
				</tr>
				<tr>
					<td valign="top">
					<img src="'. $settings['images_url']. '/ft/XD-Zeda_F_top_05.gif" width="26" height="17" alt="" /></td>
				</tr>
			</table>
		 </td>
		 <td width="98%"  valign="middle">
			 <table id="Table_01" width="100%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td height="5">&nbsp;</td>
				</tr>
				<tr>
					<td width=100%" align="center">
				  <div align="center" class="mainmenu" width=100%">';
 
	
	  
echo '			  &bull; <a href="index.php">Home</a>';
if($context['TPortal']['show_download']=='1')
echo '			  &bull; <a href="index.php?action=tpmod;dl">Downloads</a>';

echo' 
				 &bull; <a href="?action=profile">Your Account</a>';
if(!empty($settings['use_tp']))				 
echo ' 
				 &bull; <a href="?action=forum">Forums</a>';
				 
 if ($context['allow_admin']) 
	echo '		  &bull; <a href="index.php?action=admin">Admin</a>';
	
	echo '		  &bull; <a href="index.php?action=search">Search</a>';
	
  
	
	
	echo '			</div></td>
					</tr>
			 </table>
		  </td>
		  <td width="209px" align="right"  valign="middle">
			  <table id="Table_01" width="209px" height="72" border="0" cellpadding="0" cellspacing="0">
				 <tr>
					<td colspan="3"  valign="middle">
					<img src="'. $settings['images_url']. '/ft/XD-Zeda_F_CopyRighXtrato_01.gif" width="209" height="28" alt="" />
					</td>
				</tr>
				<tr>
					<td rowspan="2"  valign="middle">
					<img src="'. $settings['images_url']. '/ft/XD-Zeda_F_CopyRighXtrato_02.gif" width="25" height="44" alt="" />
					</td>
					<td valign="middle"><a href="http:/www.xtrato.org">
					<img src="'. $settings['images_url']. '/ft/XD-Zeda_F_CopyRighXtrato_03.gif" alt="Designed By : Mrs.X At Xrato.com , CopyRight 2006-2007 Xtrato Designs " width="170" height="30" border="0" style="float: right;" /></a>
					</td>
					<td rowspan="2" valign="middle">
					<img src="'. $settings['images_url']. '/ft/XD-Zeda_F_CopyRighXtrato_04.gif" width="14" height="44" alt="" />
					</td>
				</tr>
				<tr>
					<td align="right" valign="middle" >
				  <img src="'. $settings['images_url']. '/ft/XD-Zeda_F_CopyRighXtrato_05.gif" width="35" height="14" alt="" />
				  </td>
				</tr>
			 </table>
		 </td>
	</tr>
</table>'; 


	// This is an interesting bug in Internet Explorer AND Safari.  Rather annoying, it makes overflows just not tall enough.

	if (($context['browser']['is_ie'] && !$context['browser']['is_ie4']) || $context['browser']['is_mac_ie'] || $context['browser']['is_safari'] || $context['browser']['is_firefox'])

	{

		// The purpose of this code is to fix the height of overflow: auto div blocks, because IE can't figure it out for itself.

		echo '

		<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[';



		// Unfortunately, Safari does not have a "getComputedStyle" implementation yet, so we have to just do it to code...

		if ($context['browser']['is_safari'])

			echo '

			window.addEventListener("load", smf_codeFix, false);



			function smf_codeFix()

			{

				var codeFix = document.getElementsByTagName ? document.getElementsByTagName("div") : document.all.tags("div");



				for (var i = 0; i < codeFix.length; i++)

				{

					if ((codeFix[i].className == "code" || codeFix[i].className == "post" || codeFix[i].className == "signature") && codeFix[i].offsetHeight < 20)

						codeFix[i].style.height = (codeFix[i].offsetHeight + 20) + "px";

				}

			}';

		elseif ($context['browser']['is_firefox'])

			echo '

			window.addEventListener("load", smf_codeFix, false);

			function smf_codeFix()

			{

				var codeFix = document.getElementsByTagName ? document.getElementsByTagName("div") : document.all.tags("div");



				for (var i = 0; i < codeFix.length; i++)

				{

					if (codeFix[i].className == "code" && (codeFix[i].scrollWidth > codeFix[i].clientWidth || codeFix[i].clientWidth == 0))

						codeFix[i].style.overflow = "scroll";

				}

			}';

		else{

			echo '

			var window_oldOnload = window.onload;

			window.onload = smf_codeFix;



			function smf_codeFix()

			{

				var codeFix = document.getElementsByTagName ? document.getElementsByTagName("div") : document.all.tags("div");



				for (var i = codeFix.length - 1; i > 0; i--)

				{

					if (codeFix[i].currentStyle.overflow == "auto" && (codeFix[i].currentStyle.height == "" || codeFix[i].currentStyle.height == "auto") && (codeFix[i].scrollWidth > codeFix[i].clientWidth || codeFix[i].clientWidth == 0) && (codeFix[i].offsetHeight != 0 || codeFix[i].className == "code"))

						codeFix[i].style.height = (codeFix[i].offsetHeight + 36) + "px";

				}



				if (window_oldOnload)

				{

					window_oldOnload();

					window_oldOnload = null;

				}

			}';

			}

		echo '

		// ]]></script>

	';

	

	}



	// The following will be used to let the user know that some AJAX process is running

	echo '

	<div id="ajax_in_progress" style="display: none;', $context['browser']['is_ie'] && !$context['browser']['is_ie7'] ? 'position: absolute;' : '', '">', $txt['ajax_in_progress'], '</div>';



echo '</body></html>';

}
function storm_recentbox($show_topics = 10)
{
	global $context, $settings, $options, $txt , $modSettings;

	 if($show_topics < 1)
	{$show_topics = 10;}
	// leave out the recycle board, if any
	if(isset($modSettings['recycle_board']))
		$bb=array($modSettings['recycle_board']);
	else
		$bb=array();

	$what=ssi_recentTopics($num_recent = $show_topics, $bb, $output_method = 'array');
	// Output the topics
	$counter=1; $cmax=count($what);
	echo '
	<A name="scrollingCoderecents"></A>
	<marquee behavior="scroll" align="left" direction="up" width="100%" height="60px" scrollamount="1" scrolldelay="16" onmouseover=\'this.stop()\' onmouseout=\'this.start()\'>
	<div  style="padding: 5px; width: 98%; text-align:left;" class="gensmall">';
	foreach($what as $w)
	{
		echo '
		<div class="gensmall"><a href="'.$w['href'].'">'.$w['short_subject'].'</a></div>
		<div class="gensmall">', $txt[525], ' <b>', $w['poster']['link'], '</b></div>
		<div class="gensmall">';
		if(!$w['new'])
			echo '<a href="'.$w['href'].'"><img border="0" src="'.$settings['images_url'].'/'.$context['user']['language'].'/new.gif" alt="new" /></a> ';

		echo '['.$w['time'].']
		</div>';

		if($counter != $cmax)
			echo '<hr />';
		$counter++;
	}
	echo '
	</div></marquee>';
}



/******************************************************************************
* Top Poster Marque, code by  StormLrd																						 *
*******************************************************************************
*******************************************************************************/
//Insert the following where you wish the block to be: storm_topPoster($settings['number_top_posters']);
//Place this entire function block on the index.template after echo ' </body></html>'; }

// show some stats
function storm_topPoster($topNumber = 10, $output_method = 'echo ')
{
	global $db_prefix, $scripturl;

	if($topNumber < 1)
	{$topNumber = 10;}

	// Find the latest poster.
	$request = db_query("
	SELECT ID_MEMBER, realName, posts
		FROM {$db_prefix}members
		ORDER BY posts DESC
		LIMIT $topNumber", __FILE__, __LINE__);
		$return = array();
	while ($row = mysql_fetch_assoc($request))
		$return[] = array(
			'id' => $row['ID_MEMBER'],
			'name' => $row['realName'],
			'href' => $scripturl . '?action=profile;u=' . $row['ID_MEMBER'],
			'link' => '<a href="' . $scripturl . '?action=profile;u=' . $row['ID_MEMBER'] . '">' . $row['realName'] . '</a>',
			'posts' => $row['posts']
			);
	
	mysql_free_result($request);

	// Just return all the top posters.
	if ($output_method != 'echo ')
		return $return;
	$posterscount = 1;
	
	// Make a quick array to list the links in.
	//$temp_array = array();echo implode(', ', $temp_array);
	echo '
	<A name="scrollingCode"></A>
	<marquee behavior="scroll" align="left" direction="up" width="100%" height="60px" scrollamount="1" scrolldelay="16" onmouseover=\'this.stop()\' onmouseout=\'this.start()\'>
		<table width="100%" cellspacing="1px" cellpadding="0px" border="0px" align="center">';

	foreach ($return as $member)
	{
		echo '
			<tr>
				<td align="left" width="40px" class="smalltext"><b>#' , $posterscount , '</b></td>
				<td width="20px">&nbsp;</td>
				<td align="left" width="70%" class="forumlink" ><span class="smalltext">', $member['link'] , '</span></td>
			</tr>';
		$posterscount++;
	}
	echo '
		</table>
	</marquee>';
} 

/******************************************************************************
* Top downloads Marque, code by Bloc, modified by StormLrd																						 *
*******************************************************************************
* TP: Tiny Portal for SMF																  *
* Software Version:			  SMF 0.8													*
* Software by:					 Bloc (http://www.tinyportal.net) *
* Copyright 2005 by:	  Bloc (bloc@tinyportal.net)			*
* Support, News, Updates at:  http://www.tinyportal.net						 *
*******************************************************************************/
//Insert the following where you wish the block to be: TPStormsDLMod();
//Place this entire function block on the index.template after echo ' </body></html>'; }
// show some stats

function TPStormsDLMod($maxcount = 10)
{
	global $txt, $scripturl, $db_prefix, $modSettings, $context, $settings , $boarddir;
	////////////////////////Edit only here please/////////////////////////////////////

	//$maxcount number of downloads to show in top downloads
	if($maxcount < 1)
	{$maxcount = 10;}
		///////////////////////Do Not Edit below here please//////////////////////////////	
		$tp_prefix=$settings['tp_prefix'];

		$context['TPortal']['dl_scats']=array();
		$context['TPortal']['dl_sitems']=array();
		$context['TPortal']['dl_scount']=array();

		// count items in each category
		$request = db_query("SELECT category FROM {$tp_prefix}dlmanager WHERE type = 'dlitem'", __FILE__, __LINE__);
		if(mysql_num_rows($request)>0)
		{
			while($row=mysql_fetch_assoc($request))
			{
				if($row['category']>0)
				{
					if(isset($context['TPortal']['dl_scount'][$row['category']]))
						$context['TPortal']['dl_scount'][$row['category']]++;
					else
						$context['TPortal']['dl_scount'][$row['category']]=1;
				}
			}
			mysql_free_result($request);
		}
		//first : fetch all allowed categories
		$context['TPortal']['uploadcats'] = array();
		$request = db_query("SELECT id, parent, name, access FROM {$tp_prefix}dlmanager WHERE type = 'dlcat'", __FILE__, __LINE__);
		if(mysql_num_rows($request)>0)
		{
			while ($row = mysql_fetch_assoc($request))
			{
				$show = get_perm($row['access']);
				if($show)
					$context['TPortal']['uploadcats'][$row['id']] = array(
						'id' => $row['id'],
						'name' => $row['name'],
						'parent' => $row['parent'],
						);
			}
			mysql_free_result($request);
		}
		//no categories to select...
		else
			return;

		// fetch all categories with subcats
		$req = db_query("SELECT * FROM {$tp_prefix}dlmanager WHERE type = 'dlcat'", __FILE__, __LINE__);
		if(mysql_num_rows($req)>0)
		{
			while($brow=mysql_fetch_assoc($req))
			{
				if(get_perm($brow['access']))
				{
					if(isset($context['TPortal']['dl_scount'][$brow['id']]))
						$items=$context['TPortal']['dl_scount'][$brow['id']];
					else
						$items=0;

					$context['TPortal']['topcats'][] = array(
						'items' => $items,
						'link' => '<a href="'.$scripturl.'?action=tpmod;dl=cat'.$brow['id'].'">'.$brow['name'].'</a>',
						);
					// add the category as viewable
					$context['TPortal']['viewcats'][] = $brow['id'];
				}
			}
			mysql_free_result($req);
			// sort it
			usort($context['TPortal']['topcats'], "dlsort");

		}

		// fetch all items
		$context['TPortal']['topitems'] = array();

		$request = db_query("SELECT * FROM {$tp_prefix}dlmanager WHERE type = 'dlitem'", __FILE__, __LINE__);
		if(mysql_num_rows($request)>0)
		{
			while($row=mysql_fetch_assoc($request))
			{
				if(isset($context['TPortal']['viewcats']) && isset($row['category']) && is_array($context['TPortal']['viewcats']) && in_array($row['category'],$context['TPortal']['viewcats']))
					$context['TPortal']['topitems'][] = array(
						'size' => $row['filesize'],
						'views' => $row['views'],
						'downloads' => $row['downloads'],
						'link' => '<a href="'.$scripturl.'?action=tpmod;dl=item'.$row['id'].'">'.$row['name'].'</a>',
						);
			}
			mysql_free_result($request);

			// sort it by filesize,views and downloads
			$context['TPortal']['topsize'] = array();
			$context['TPortal']['topviews']=array();
			$context['TPortal']['topsize']=$context['TPortal']['topitems'];

			if(sizeof($context['TPortal']['topsize'])>2)
				usort($context['TPortal']['topsize'], "dlsortsize");

			$context['TPortal']['topviews']=$context['TPortal']['topitems'];

			if(sizeof($context['TPortal']['topviews'])>2)
				usort($context['TPortal']['topviews'], "dlsortviews");

			if(sizeof($context['TPortal']['topitems'])>2)
				usort($context['TPortal']['topitems'], "dlsortdownloads");
		}

		// top downloads
		echo '<A name="scrollingCodedownloads"></A>
		<marquee behavior="scroll" align="left" direction="up" width="100%" height="60px" scrollamount="1" scrolldelay="16" onmouseover=\'this.stop()\' onmouseout=\'this.start()\'>
			<table width="98%" cellpadding="2" cellspacing="0">';
		$counter=0;
		if(isset($context['TPortal']['topitems'][0]['downloads']))
			$maxval=$context['TPortal']['topitems'][0]['downloads'];
		if(isset($context['TPortal']['topitems']) && count($context['TPortal']['topitems'])>0)
		{
			foreach($context['TPortal']['topitems'] as $cats)
			{
				if($counter<$maxcount)
				{
					echo '
				<tr>
					<td class="smalltext" width="5%">#'.($counter+1).'<b></b></td>
					<td width="90%">'.$cats['link'].'</td><td width="5%">'.$cats['downloads'].'</td>
				</tr>';
					$counter++;
				}
			}
		}
		else
			echo '
				<tr>
					<td class="smalltext" align="center">No Downloads at this time.</td>
				</tr>';

		echo '
			</table>
		</marquee>';
}
	/******************************************************************************/

function theme_linktree()
{
	return;
}

// Show a linktree. This is that thing that shows "My Community | General Category | General Discussion"..
function theme_linktree2()
{
	global $context, $settings, $options;

	// Folder style or inline?  Inline has a smaller font.
	echo '<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center"><tr>
	<td class="row111" align="left" style="padding: 5px;"><span class="nav" style="font-size: smaller;">';


   // Each tree item has a URL and name.  Some may have extra_before and extra_after.
   foreach ($context['linktree'] as $link_num => $tree)
   {
      // Show pretty folder
      if ($link_num == 0)
      {
         echo '<img src="' . $settings['images_url'] . '/icons/navbits_start.gif" alt="+" border="0" />&nbsp; ';
      }
      else if ($link_num == 1)
      {
         echo '<img src="' . $settings['images_url'] . '/icons/navbits_finallink.gif" alt="+" border="0" />&nbsp; ';
      }
      else
      {
         echo '&nbsp;<img src="' . $settings['images_url'] . '/bullet.gif" alt="+" border="0" />&nbsp; ';
      }

      // Show the link, including a URL if it should have one.
      echo '<b>', $settings['linktree_link'] && isset($tree['url']) ? '<a href="' . $tree['url'] . '" class="nav">' . $tree['name'] . '</a>' : $tree['name'], '</b>';

      if ($link_num == 0)
      {
         echo '<br />';
      }
   }

   echo '</span></td></tr></table>';
}
// Show the menu up top.  Something like [home] [help] [profile] [logout]...

function template_menu()

{

	global $context, $settings, $options, $scripturl, $txt;



	echo '<div align="center"><a name="top"></a>

	 <table id="Table_01" width="100%" height="117" border="0" cellpadding="0" cellspacing="0">

		<tr>

		  <td>',$settings['header_block'],'</td>

		  <td width="100%" background="' . $settings['images_url'] . '/hd/XD-Zeda_FRMS_02.gif">&nbsp;</td>

		  <td><table id="Table_01" width="1" height="117" border="0" cellpadding="0" cellspacing="0">

				<tr>

				  <td colspan="4"><img src="' . $settings['images_url'] . '/hd/XD-Zeda_FRMS_links_01.gif" width="191" height="25" alt=""></td>

			 </tr>

			 <tr>

				<td rowspan="3"><img src="' . $settings['images_url'] . '/hd/XD-Zeda_FRMS_links_02.gif" width="6" height="68" alt=""></td>

				<td>';
			if(!empty($settings['use_tp'])){
if($settings['TPortal_front_type']!='boardindex')
			echo '		  <a href="', $scripturl, '?action=forum">';
	}	else	 {	
			echo '
			<a href="', $scripturl, '">';
		}	
echo '			
			<img src="' . $settings['images_url'] . '/hd/XD-Zeda_FRMS_links_03.gif" alt="" width="83" height="22" border="0"></a></td>

				<td><a href="', $scripturl, '?action=profile"><img src="' . $settings['images_url'] . '/hd/XD-Zeda_FRMS_links_04.gif" alt="" width="84" height="22" border="0"></a></td>

				<td rowspan="3"><img src="' . $settings['images_url'] . '/hd/XD-Zeda_FRMS_links_05.gif" width="18" height="68" alt=""></td>

			 </tr>

			 <tr>

				<td><a href="', $scripturl, '?action=search"><img src="' . $settings['images_url'] . '/hd/XD-Zeda_FRMS_links_06.gif" alt="" width="83" height="22" border="0"></a></td>

				<td><a href="', $scripturl, '?action=pm">';
			if($context['user']['unread_messages'] > 0)
  echo '<img src="' . $settings['images_url'] . '/hd/pm.gif" alt="" width="84" height="22" border="0">';
			else
 echo '<img src="' . $settings['images_url'] . '/hd/XD-Zeda_FRMS_links_07.gif" alt="" width="84" height="22" border="0">';
			
			echo '</a></td>

			 </tr>

			 <tr>

				<td><a href="', $scripturl, '?action=help"><img src="' . $settings['images_url'] . '/hd/help.gif" alt="" width="83" height="24" border="0"></a></td>

				<td><a href="', $scripturl, '?action=mlist"><img src="' . $settings['images_url'] . '/hd/XD-Zeda_FRMS_links_09.gif" alt="" width="84" height="24" border="0"></a></td>

			 </tr>

			 <tr>

				<td colspan="4"><img src="' . $settings['images_url'] . '/hd/XD-Zeda_FRMS_links_10.gif" width="191" height="24" alt=""></td>

			 </tr>

		</table></td>

	 </tr>

  </table>

	 <!-- End ImageReady Slices -->

</div>';

}

function top_menu()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;
	// Work out where we currently are.

	$current_action = 'home';

	if (in_array($context['current_action'], array('admin', 'ban', 'boardrecount', 'cleanperms', 'detailedversion', 'dumpdb', 'featuresettings', 'featuresettings2', 'findmember', 'maintain', 'manageattachments', 'manageboards', 'managecalendar', 'managesearch', 'membergroups', 'modlog', 'news', 'optimizetables', 'packageget', 'packages', 'permissions', 'pgdownload', 'postsettings', 'regcenter', 'repairboards', 'reports', 'serversettings', 'serversettings2', 'smileys', 'viewErrorLog', 'viewmembers','globalAnnouncementsAdmin','shop_general', 'shop_items_add', 'shop_items_edit', 'shop_cat', 'shop_inventory', 'shop_restock', 'shop_usergroup')))
		$current_action = 'admin';
	if (in_array($context['current_action'], array('shop','paypal','bookmarks','contact','store','links','staff','gallery','search', 'admin', 'calendar', 'profile', 'mlist', 'register', 'login', 'help', 'pm','unread','unreadreplies', 'arcade', 'forum', 'tpadmin')))
		$current_action = $context['current_action'];
	if ($context['current_action'] == 'search2')
		$current_action = 'search';

	if (isset($_GET['dl']))
		$current_action = 'dlmanager';

	if ((isset($_GET['board']) || isset($_GET['topic'])) && empty($settings['use_tp']))
		$current_action = 'home';
	elseif ((isset($_GET['board']) || isset($_GET['topic'])) && !empty($settings['use_tp']))
		$current_action = 'forum';

	if ($context['current_action'] == 'theme')
		$current_action = isset($_REQUEST['sa']) && $_REQUEST['sa'] == 'pick' ? 'profile' : 'admin';
	 
	// Begin SMFShop code
	if ($context['current_action'] == 'shop')
		$current_action = 'shop';
	if (in_array($context['current_action'], array('shop_general', 'shop_items_add', 'shop_items_edit', 'shop_cat', 'shop_inventory', 'shop_restock', 'shop_usergroup')))
		$current_action = 'admin';
	// End SMFShop code

	// --- start FelBlog
	if ($context['current_action'] == 'felblog')
		 $current_action = isset($_REQUEST['sa']) && $_REQUEST['sa'] == 'unread' ? 'fel_unread' : 'felblog';
	// --- end FelBlog
	
	// Show the start of the tab section.
	echo '<div id="menudiv"><div id="menuinner">
				<ul id="menubox">';
	$leftshrink = false;
	$rightshrink = false;
	if(!empty($settings['use_tp'])){
// TinyPortal
	
	 if($context['TPortal']['leftbar']){
		  echo '<li class="shrink"><a href="javascript:void(0);" onclick="shrinkHeaderLeftbar(!current_leftbar); return false;"><img id="upshrinkLeftbar" src="', $settings['images_url'], '/img/', empty($options['collapse_leftbar']) ? 'left_shrink.gif' : 'left_shrink2.gif', '" alt="*" title="', $txt['upshrink_description'], '"  border="0" /></a></li>';
		  $leftshrink = true;
		} 
		if($context['TPortal']['rightbar']){
		$rightshrink = true;
}}
				
				echo '
					<li' , ($leftshrink) ? '' : ' class="first"' , '><a' , $current_action=='unread' ? ' class="chosen"' : '' , ' href="', $scripturl, '?action=unread" title="Unread Posts">Unread</a></li>
			
				<li><a' , $current_action=='unreadreplies' ? ' class="chosen"' : '' , ' href="', $scripturl, '?action=unreadreplies" title="Replies to your posts">Replies</a></li>';
		// --- start FelBlog
	// Show the [blog] button.
	if (!empty($settings['use_felblog'])){
	if($modSettings['felblog_enabled'] == '1' && AllowedToBlog('view', $context['user']['id']))
		echo '<li><a' ,  $current_action == 'felblog'  ? ' class="chosen"' : '' , '  href="', $scripturl, '?action=felblog">Blog</a></li>';
		}
// --- end FelBlog
	  if ($context['allow_admin'])
		echo '<li><a ' , $current_action=='admin' ? ' class="chosen"' : '' ,' href="', $scripturl, '?action=admin" >' . $txt[2] . '</a></li>';
	// SMF Arcade
	if (!empty($settings['use_arcade']))
		echo '<li><a' , $current_action=='arcade' ? ' class="chosen"' : '' , ' href="', $scripturl, '?action=arcade">' . $txt['arcade'] . '</a></li>';

	// The [bookmarks] button
	if (!empty($settings['use_books']))
		echo '<li><a' , $current_action=='bookmarks' ? ' class="chosen"' : '' , ' href="', $scripturl, '?action=bookmarks">Bookmarks</a></li>';
		
		// The [calendar]!
	if ($context['allow_calendar'])
		echo '<li><a' , $current_action=='calendar' ? ' class="chosen"' : '' , ' href="', $scripturl, '?action=calendar">',$txt['calendar24'], '</a></li>';


	// the [contact] button
	if (!empty($settings['use_contacts'])){
		if ($context['allow_view_contact'])
			echo '<li><a' , $current_action=='contact' ? ' class="chosen"' : '' , ' href="', $scripturl, '?action=contact">' . $txt['smfcontact_contact'] . '</a></li>';
	}

	// Paypal Mod
	if (!empty($settings['use_donate'])){
		if (($modSettings['payPalEnable']) && (allowedTo('payPal_view')))
			echo '<li><a' , $current_action=='paypal' ? ' class="chosen"' : '' , ' href="', $scripturl, '?action=paypal">Donate</a></li>';}
	// the [SMF Gallery] button
	if (!empty($settings['use_smfgallery'])){
		if ($context['allow_smfgallery_view'])
			echo '<li><a' , $current_action=='gallery' ? ' class="chosen"' : '' , ' href="', $scripturl, '?action=gallery">' . $txt['smfgallery_menu'] . '</a></li>';
	}
	// the [links] button
	if (!empty($settings['use_smflinks'])){
		if ($context['allow_view_smflinks'])
			echo '<li><a' , $current_action=='links' ? ' class="chosen"' : '' , ' href="', $scripturl, '?action=links">Links</a></li>';
	}
	// SMFshop 
	if (!empty($settings['use_shop']))
		echo '<li><a' , $current_action=='shop' ? ' class="chosen"' : '' , ' href="', $scripturl, '?action=shop">Shop</a></li>';
	// the [SMF Store] button
	if (!empty($settings['use_smfstore'])){
		if ($context['allow_smfstore_view'])
			echo '<li><a' , $current_action=='store' ? ' class="chosen"' : '' , ' href="', $scripturl, '?action=store">Store</a></li>';
	}
	// the [staff list] button
	if (!empty($settings['use_smfstaff'])){
		if ($context['allow_view_stafflist'])
			echo '<li><a' , $current_action=='staff' ? ' class="chosen"' : '' , ' href="', $scripturl, '?action=staff">Team</a></li>';
	}
	if (!empty($settings['use_custom_pages'])){
	foreach($context['sitemenu'] as $menu => $val)
	{
		if($val[2]=='page')
			echo '<li><a href="',$scripturl,'?action='.$val[0].'">'.$val[1].'</a></li>';
		elseif($val[2]=='link')
			echo '<li><a href="'.$val[0].'">'.$val[1].'</a></li>';
	}
	}
						if ($context['user']['is_logged'])
						echo '<li' , ($rightshrink) ? '' : ' class="last"' , '><a href="', $scripturl, '?action=logout;sesc=', $context['session_id'], '">' , $txt[108] , '</a></li>';
					if ($context['user']['is_guest'])
					{
						echo '<li><a' , $current_action=='login' ? ' class="chosen"' : '' , ' href="', $scripturl, '?action=login">' , $txt[34] , '</a></li>';	
						echo '<li' , ($rightshrink) ? '' : ' class="last"' , '><a' , $current_action=='register' ? ' class="chosen"' : '' , ' href="', $scripturl, '?action=register">' , $txt[97] , '</a></li>';	
					}
		
		if(!empty($settings['use_tp'])){
// TinyPortal			
					if($context['TPortal']['rightbar'])
		echo '<li class="shrink2"><a href="javascript:void(0);" onclick="shrinkHeaderRightbar(!current_rightbar); return false;"><img id="upshrinkRightbar" src="', $settings['images_url'], '/img/', empty($options['collapse_rightbar']) ? 'right_shrink.gif' : 'right_shrink2.gif', '" alt="*" title="', $txt['upshrink_description'], '" border="0" /></a></li>';
			}		
					echo '
				</ul></div></div>';
}

function template_content_above()
{
	global $context, $settings, $options, $scripturl, $txt;

	if(isset($_GET['action']))
		echo '
	<div id="content2"><div id="content2-l"><div id="content2-r"><div class="mpad">';
	else
		echo '<div class="content3">';

}
function template_content_below()
{
	global $context, $settings, $options, $scripturl, $txt;

	if(isset($_GET['action']))
		echo '
	</div></div></div></div>';
	else
		echo '</div>';

}
function checkmods()
{
	global $context, $settings, $options, $scripturl, $txt;

	if($context['user']['is_admin'])
	{
		$error='';
		// TP 
		if(!empty($settings['use_tp']) && !isset($context['TPortal']['showtop']))
			$error .= '<div class="errorbar" style="background: #f00;">You have turned on support for <b>TinyPortal</b>, but it doesn\'t seem the mod is actually installed!</div>';
		// Shoutbox
		if(!empty($settings['use_shoutbox']) && !function_exists('smfshout'))
			$error .= '<div class="errorbar" style="background: #f80;">You have turned on support for <b>Ultimate Shoutbox</b>, but it doesn\'t seem the mod is actually installed!</div>';

		// render it
		if(!empty($error))
			echo '<div id="errorpanel">'.$error.'</div>';
	}

}
function RecentImagesBlock()
{
global  $db_prefix,$scripturl,$txt,$modSettings,$boardurl,$settings, $options;
	
	if(empty($modSettings['gallery_url']))
	{
		$modSettings['gallery_url'] = $boardurl . '/gallery/';
	}
	if(!empty($settings['number_images_to_show']) && is_numeric($settings['number_images_to_show']))
		 $shows = $settings['number_images_to_show'];
	else
		 $shows = 0;
		
				  if($settings['display_which_images'] == 0)
				$show_what = 'ID_PICTURE';
				elseif($settings['display_which_images'] == 1)
				$show_what = 'rating';
				elseif($settings['display_which_images'] == 2)
				$show_what = 'views';
				elseif($settings['display_which_images'] == 3)
				$show_what = 'commenttotal';
					else
				$show_what = 'ID_PICTURE';
				
		if(!empty($settings['image_maxheight']) && is_numeric($settings['image_maxheight']))
		 $maxheight = $settings['image_maxheight'];
		 else
		 $maxheight = 75;
		if(!empty($settings['image_maxwidth']) && is_numeric($settings['image_maxwidth']))
		 $maxwidth = $settings['image_maxwidth'];
		 else
		 $maxwidth = 70;		
			//Check what type it is
			$query = ' ';
			
					$query = "SELECT p.ID_PICTURE, p.commenttotal, p.totalratings, p.rating, p.filesize, p.views, p.thumbfilename, p.title, p.ID_MEMBER, m.memberName, m.realName, p.date, p.description FROM {$db_prefix}gallery_pic as p, {$db_prefix}members AS m WHERE  p.ID_MEMBER = m.ID_MEMBER AND p.approved = 1 ORDER BY p.{$show_what} DESC LIMIT {$shows}";
				
			//Execute the SQL query
			$dbresult = db_query($query, __FILE__, __LINE__);
			
		while($row = mysql_fetch_assoc($dbresult))
		{
		

			echo '<td align="center" class="windowbg" ><a href="' . $scripturl . '?action=gallery;sa=view;id=' . $row['ID_PICTURE'] . '" ><img src="' . $modSettings['gallery_url'] . $row['thumbfilename']  . '" border="0px" style="max-width: '.$maxwidth.'px; max-height: '.$maxheight.'px;" alt="" /></a></td>';
			
		  }
			
	//Free the Mysql Resoruces
	mysql_free_result($dbresult);

}
function smfstoreBlocks($title,$type = 'recent')
{
	global  $db_prefix, $scripturl, $txt, $modSettings, $boardurl, $context, $settings, $options;


	if(empty($modSettings['store_url']))
	{
		$modSettings['store_url'] = $boardurl . '/store/';
	}
	$g_manage = allowedTo('smfstore_manage');
	
	$limitstoshow = $settings['number_items_to_show'];
	
			// Check what type it is
			$query = ' ';
			switch($type)
			{
				case 'recent':
					$query = "SELECT i.ID_ITEM, i.commenttotal, i.totalratings, i.rating, 
					i.primaryID_PICTURE, i.productname, p.thumbfilename, i.price,i.currency,
					i.qtyinstock, i.needsstock, i.date, i.views
					FROM {$db_prefix}store_item as i LEFT JOIN {$db_prefix}store_item_pic as p ON (i.primaryID_PICTURE = p.ID_PICTURE)
					 WHERE  i.hideproduct = 0 ORDER BY i.ID_ITEM DESC LIMIT {$limitstoshow}";
				break;

				case 'viewed':
					$query = "SELECT i.ID_ITEM, i.commenttotal, i.totalratings, i.rating, 
					i.primaryID_PICTURE, i.productname, p.thumbfilename, i.price,i.currency,
					i.qtyinstock, i.needsstock, i.date, i.views
					FROM {$db_prefix}store_item as i LEFT JOIN {$db_prefix}store_item_pic as p ON (i.primaryID_PICTURE = p.ID_PICTURE)
					 WHERE  i.hideproduct = 0  ORDER BY  i.views DESC LIMIT {$limitstoshow}";
				break;

				case 'mostcomments':
					$query = "SELECT i.ID_ITEM, i.commenttotal, i.totalratings, i.rating, 
					i.primaryID_PICTURE, i.productname, p.thumbfilename, i.price,i.currency,
					i.qtyinstock, i.needsstock, i.date, i.views
					FROM {$db_prefix}store_item as i LEFT JOIN {$db_prefix}store_item_pic as p ON (i.primaryID_PICTURE = p.ID_PICTURE)
					 WHERE  i.hideproduct = 0  ORDER BY i.commenttotal DESC LIMIT {$limitstoshow}";
				break;

				case 'toprated':
					$query = "SELECT i.ID_ITEM, i.commenttotal, i.totalratings, i.rating, 
					i.primaryID_PICTURE, i.productname, p.thumbfilename, i.price,i.currency,
					i.qtyinstock, i.needsstock, i.date, i.views
					FROM {$db_prefix}store_item as i LEFT JOIN {$db_prefix}store_item_pic as p ON (i.primaryID_PICTURE = p.ID_PICTURE)
					 WHERE  i.hideproduct = 0  ORDER BY i.rating DESC LIMIT {$limitstoshow}";
				break;
				
				case 'mostpurchased':
					
				break;
				
				
			}
			// Execute the SQL query
			$dbresult = db_query($query, __FILE__, __LINE__);
			
		while($row = mysql_fetch_assoc($dbresult))
		{
			echo '<td align="center" class="windowbg"><span class="smalltext">';
				if (!empty($row['primaryID_PICTURE']))
				echo '<a href="', $scripturl, '?action=store;sa=view;id=', $row['ID_ITEM'], '"><img src="', $modSettings['store_url'], $row['thumbfilename'], '" /></a><br />';
				
			echo '<a class="nav" href="', $scripturl, '?action=store;sa=view;id=', $row['ID_ITEM'], '">', $row['productname'], '</a><br />';
			
			
			
			
			
		
				
			if (!empty($modSettings['store_set_t_price']))
			{
	
				
							
				echo  formatprice2($row['price'],$row['currency']) . '<br />';
			
			}
		
			echo '</span></td>';


			
	  }
	
	// Free the Mysql Resoruces
	mysql_free_result($dbresult);

}
function formatprice2($price,$currency)
{
		if ($currency == 'USD')
			return  '$' .  number_format($price, 2, '.', '');
		else 
			return $price . ' ' . $currency;
}


?>